### Enumeration

# Clutter InputContentHintFlags

since: 14

#### Declaration

    flags Clutter.InputContentHintFlags

#### Description

No description available.

Available since: 14

#### Members

`CLUTTER_INPUT_CONTENT_HINT_COMPLETION`
  No description available.
  - Value: `1`
  - Nickname: `completion`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_SPELLCHECK`
  No description available.
  - Value: `2`
  - Nickname: `spellcheck`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_AUTO_CAPITALIZATION`
  No description available.
  - Value: `4`
  - Nickname: `auto-capitalization`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_LOWERCASE`
  No description available.
  - Value: `8`
  - Nickname: `lowercase`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_UPPERCASE`
  No description available.
  - Value: `16`
  - Nickname: `uppercase`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_TITLECASE`
  No description available.
  - Value: `32`
  - Nickname: `titlecase`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_HIDDEN_TEXT`
  No description available.
  - Value: `64`
  - Nickname: `hidden-text`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_SENSITIVE_DATA`
  No description available.
  - Value: `128`
  - Nickname: `sensitive-data`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_LATIN`
  No description available.
  - Value: `256`
  - Nickname: `latin`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_HINT_MULTILINE`
  No description available.
  - Value: `512`
  - Nickname: `multiline`
  - Available since: 14